<div class="digimon-details" *ngIf="digimon">
    <div class="close-button" (click)="close()">
        <span class="material-icons">
            clear
         </span>
      </div>
    <div class="digimon-details-header">
      <h1 class="digimon-name">{{digimon?.name}}</h1>
      <p class="digimon-id">{{digimon?.id}}</p>
    </div>
    <div class="digimon-image" *ngFor="let img of digimon?.images">
      <img src="{{img.href}}" alt="{{digimon.name}}">
    </div>
    <div class="digimon-info">
      <div class="digimon-section">
        <h2 class="section-title">Description</h2>
        <p class="description">{{getEnglishDescription()}}</p>
      </div>
      <div class="digimon-section">
        <h2 class="section-title">Details</h2>
        <ul>
          <li><strong>Level:</strong> {{getLevels()}}</li>
          <li><strong>Attribute:</strong> {{getAttributes()}}</li>
          <li><strong>Type:</strong> {{getTypes()}}</li>
          <li><strong>Release Date:</strong> {{getReleaseData()}}</li>
        </ul>
      </div>
      <div class="digimon-section">
        <h2 class="section-title">Skills</h2>
        <ul *ngIf="digimon.skills && digimon.skills.length > 0">
          <li *ngFor="let skill of digimon.skills ">{{skill.skill}} - {{skill.description}}</li>
        </ul>
        <p *ngIf="!digimon.skills || digimon.skills.length === 0">No skills found</p>
      </div>
      <div class="digimon-section">
        <h2 class="section-title">Prior Evolutions</h2>
        <div class="evolutions" *ngIf="digimon.priorEvolutions && digimon.priorEvolutions.length > 0">
          <div class="evolution" *ngFor="let evolution of digimon.priorEvolutions" (click)="showDetail(evolution.id)">
            <img src="{{evolution.image}}" alt="{{evolution.digimon}}">
            <p><strong>{{evolution.digimon}}</strong></p>
          </div>
        </div>
        <p *ngIf="!digimon.priorEvolutions || digimon.priorEvolutions.length === 0">No Prior Evolutions found</p>
      </div>

      <div class="digimon-section">
        <h2 class="section-title">Next Evolutions</h2>
        <div class="evolutions"  *ngIf="digimon.nextEvolutions && digimon.nextEvolutions.length > 0">
          <div class="evolution" *ngFor="let evolution of digimon.nextEvolutions" (click)="showDetail(evolution.id)" >
            <img src="{{evolution.image}}" alt="{{evolution.digimon}}">
            <p><strong>{{evolution.digimon}}</strong></p>
          </div> 
        </div>
        <p *ngIf="!digimon.nextEvolutions || digimon.nextEvolutions.length === 0">No Next Evolutions found</p>
      </div>
    </div>
  </div>
  